Page MenuHomePhabricator

docs: fix to make docs contain proper images
ClosedPublic

Authored by akanad on Dec 6 2019, 12:28 AM.

Details

Summary

links to images that this patch is modifying would be included in doxy docs
without pre or post process something in meson definition, if we applied this patch.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
akanad created this revision.Dec 6 2019, 12:28 AM
akanad requested review of this revision.Dec 6 2019, 12:28 AM
bu5hm4n requested changes to this revision.Dec 6 2019, 6:29 AM
bu5hm4n added a subscriber: bu5hm4n.

What are you trying to achive here ? I do not understand what you are writing in the commit description tbh.

Additionally, this leaves efl_copy.sh unused in tree.

This revision now requires changes to proceed.Dec 6 2019, 6:29 AM
akanad updated this revision to Diff 27393.EditedDec 8 2019, 6:07 PM
  • removing efl_copy.sh
  • reasoning for this patch
  1. doxygen documetation image broken

Go take a look a image broken at almost bottom of the cotent
https://www.enlightenment.org/_legacy_embed/ecore_con_server_simple_example_c.html

  1. No way to generate doxygen docs properly without using meson

with this patch, It will be possible to generate doxygen docs without using meson,
if so, I don't understand any unacceptable reason for this patch.
because I guess a way more simple is better.

and there is a actual case in Tizen platform,
we are gethering all header files for all packges to generate doxygen docs.
and just running like 'doxygen .'.

but only efl can't generate proper docs because efl is not able to generate
doxygen docs without meson.

segfaultxavi requested changes to this revision.Dec 9 2019, 1:03 AM

A bit of background:
Doxygen copies to the output folder all images embedded using the @image tag. However, in our legacy docs we have many images embedded using @htmlonly tags, which do not get copied to the output folder.
In D10690 I added the meson step to manually copy all images to the output folder to fix this.
However, this fix only works if docs are generated with meson, obviously. @akanad is complaining that when docs are generated directly with Doxygen, the images are missing.

@akanad's fix is a step in the right direction: embed the images using @image tags so Doxygen knows about them and my manual copy is not needed anymore. I like this.
However, as it is now, this patch does not remove the previous images embedded using @htmlonly, so images appear twice.

Please remove previous images embedded using \htmlonly tags.

This revision now requires changes to proceed.Dec 9 2019, 1:03 AM
akanad updated this revision to Diff 27433.Dec 9 2019, 11:44 PM
  • rebasing
  • removing image links by using htmlonly tag
segfaultxavi accepted this revision.Dec 10 2019, 3:53 AM

Awesome work! Thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Dec 10 2019, 3:53 AM
This revision was automatically updated to reflect the committed changes.